--- old/usr/src/lib/libkmf/plugins/kmf_openssl/Makefile.com	2014-05-21 04:03:30.366635436 +0400
+++ new/usr/src/lib/libkmf/plugins/kmf_openssl/Makefile.com	2014-05-21 04:03:30.403441201 +0400
@@ -40,8 +40,13 @@
 OPENSSLLIBS=	$(BERLIB) -lcrypto -lcryptoutil -lc
 OPENSSLLIBS64=	$(BERLIB64) -lcrypto -lcryptoutil -lc
 
-LINTSSLLIBS	= $(BERLIB) -lcrypto -lcryptoutil -lc
-LINTSSLLIBS64	= $(BERLIB64) -lcrypto -lcryptoutil -lc
+LINTSSLLIBS	= $(BERLIB) -lcryptoutil -lc
+LINTSSLLIBS64	= $(BERLIB64) -lcryptoutil -lc
+
+# OpenSSLs API includes some macro expansions that are incompatible with lint,
+# depending on the version of OpenSSL used
+LINTFLAGS   +=    -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
+LINTFLAGS64 +=    -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 SRCDIR=		../common
 INCDIR=		../../include
